<div class="wrapper-outer">
  <div class="container">
      <div class="row">
          <div class="col-sm-12">
              <div class="cont-login">
                  <div class="form-box">
                      <form [formGroup]="resetPasswordForm" (ngSubmit)="onSubmitResetPasswordForm()">
                          <h4 class="text-center">Please reset your password here</h4>
                          <!-- <div formGroupName="matching_passwords" > -->
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3">
                                      <label class="with-info">
                                        New Password
                                        <a href="javascript:void(0)" class="form-info ml-2" tooltip="Password must contain 8 characters, Upper case, Lower case, Number, Special character." container="body" [class.t-red]="resetPasswordForm.get('password').invalid && (resetPasswordForm.get('password').dirty || resetPasswordForm.get('password').touched)">
                                            <i class="fas fa-info-circle"></i>
                                        </a>
                                      </label>
                                    </div>
                                    <div class="col-8 pb-3">
                                        <input type="password" formControlName="password" name="" class="form-control" placeholder="Enter your new password">
                                        <!-- Error Messages -->
                                        <span class="col-12 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.password">
                                            <span  *ngIf="resetPasswordForm.get('password').hasError(validation.type) && (resetPasswordForm.get('password').dirty || resetPasswordForm.get('password').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group p-0">
                                <div class="row">
                                    <div class="col-4 pb-3"><label>Confirm password</label></div>
                                    <div class="col-8 pb-3">
                                        <input type="password" formControlName="confirmPassword" name="" class="form-control" placeholder="Confirm your password">
                                        <!-- Error Messages -->
                                        <span class="col-12 help-block bottom text-left fs12 t-red" *ngFor="let validation of errors.confirmPassword">
                                            <span  *ngIf="resetPasswordForm.get('confirmPassword').hasError(validation.type) && (resetPasswordForm.get('confirmPassword').dirty || resetPasswordForm.get('confirmPassword').touched)">
                                                {{validation.message}}
                                            </span>
                                        </span>
                                    </div>
                                </div>
                            </div>
                          <!-- </div> -->
                          <div class="form-group text-center">
                              <input type="submit" name="" value="Submit" class="btn">
                          </div>
                      </form>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
